Module org.hdfgroup.hdfview
Package hdf.view.TableView

# Class DefaultScalarAttributeTableView

Object
hdf.view.TableView.DefaultBaseTableView
hdf.view.TableView.DefaultScalarDSTableView
hdf.view.TableView.DefaultScalarAttributeTableView

All Implemented Interfaces:
  `DataView`, `TableView`

public class DefaultScalarAttributeTableView extends DefaultScalarDSTableView implements TableView

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class hdf.view.TableView.DefaultBaseTableView

  `DefaultBaseTableView.ColumnHeader, DefaultBaseTableView.EditingGridLayer, DefaultBaseTableView.RefContextMenu, DefaultBaseTableView.RowHeader, DefaultBaseTableView.RowHeaderDataProvider, DefaultBaseTableView.ViewType`

- ## Field Summary

  ### Fields inherited from class hdf.view.TableView.DefaultBaseTableView

  `binaryOrder, bitmask, bitmaskOP, cellLabel, cellValueField, checkBin, checkCustomNotation, checkEnum, checkFixedDataLength, checkHex, checkScientificNotation, columnHeaderDataProvider, curFont, customFormat, dataDisplayConverter, dataLayer, dataObject, dataProvider, dataTable, dataValue, fillValue, fixedDataLength, indexBase, indexBaseGroup, isDataTransposed, isDisplayTypeChar, isEnumConverted, isObjRef, isReadOnly, isRegRef, normalFormat, numberFormat, rowHeaderDataProvider, scientificFormat, selectionLayer, shell, showAsBin, showAsHex, viewer, viewType`

  ### Fields inherited from interface hdf.view.DataView.DataView

  `DATAVIEW_IMAGE, DATAVIEW_TABLE, DATAVIEW_UNKNOWN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultScalarAttributeTableView​(DataViewManager theView)`
  `DefaultScalarAttributeTableView​(DataViewManager theView, HashMap dataPropertiesMap)`

- ## Method Summary

  ### Methods inherited from class hdf.view.TableView.DefaultScalarDSTableView

  `createMenuBar, createTable, getDataEditingRule, getSelectedData, loadData, showObjRefData, showRegRefData`

  ### Methods inherited from class hdf.view.TableView.DefaultBaseTableView

  `getDataLayer, getDataObject, getSelectedColumnCount, getSelectedRowCount, getSelectionLayer, getTable, importBinaryData, importTextData, NewshowObjRefData, NewshowRegRefData, saveAsBinary, saveAsText, updateDataConversionSettings, updateValueInFile`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface hdf.view.DataView.DataView

  `getDataObject`

  ### Methods inherited from interface hdf.view.TableView.TableView

  `getSelectedColumnCount, getSelectedData, getSelectedRowCount, getTable, updateValueInFile`

- ## Constructor Details

  - ### DefaultScalarAttributeTableView

    public DefaultScalarAttributeTableView​(DataViewManager theView)

  - ### DefaultScalarAttributeTableView

    public DefaultScalarAttributeTableView​(DataViewManager theView, HashMap dataPropertiesMap)